classification
Title: Implementation of the PEP 587
Type: Stage: patch review
Components: Interpreter Core Versions: Python 3.8
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, vstinner
Priority: normal Keywords: patch

Created on 2019-04-30 22:38 by vstinner, last changed 2019-07-01 18:28 by miss-islington.

Pull Requests
URL Status Linked Edit
PR 13028 merged vstinner, 2019-04-30 22:42
PR 13030 merged vstinner, 2019-04-30 23:40
PR 13031 merged vstinner, 2019-05-01 00:34
PR 13035 merged vstinner, 2019-05-01 12:13
PR 13037 merged vstinner, 2019-05-01 13:15
PR 13052 merged vstinner, 2019-05-02 03:22
PR 13065 merged vstinner, 2019-05-02 18:25
PR 13066 merged vstinner, 2019-05-02 18:44
PR 13275 merged vstinner, 2019-05-13 10:40
PR 13331 merged vstinner, 2019-05-14 22:56
PR 13360 merged vstinner, 2019-05-16 14:08
PR 13361 merged vstinner, 2019-05-16 14:42
PR 13362 merged vstinner, 2019-05-16 15:17
PR 13363 merged vstinner, 2019-05-16 15:43
PR 13371 merged vstinner, 2019-05-17 00:22
PR 13373 merged vstinner, 2019-05-17 01:17
PR 13387 merged vstinner, 2019-05-17 12:30
PR 13388 merged vstinner, 2019-05-17 14:16
PR 13390 merged vstinner, 2019-05-17 17:27
PR 13395 merged vstinner, 2019-05-17 20:56
PR 13396 merged vstinner, 2019-05-17 22:00
PR 13398 merged vstinner, 2019-05-17 23:25
PR 13402 merged vstinner, 2019-05-18 01:45
PR 13432 merged vstinner, 2019-05-20 00:21
PR 13443 merged vstinner, 2019-05-20 14:18
PR 13444 merged vstinner, 2019-05-20 14:41
PR 13481 merged vstinner, 2019-05-22 00:52
PR 13511 merged vstinner, 2019-05-22 22:02
PR 13518 merged vstinner, 2019-05-23 01:25
PR 13592 merged vstinner, 2019-05-27 13:51
PR 13857 merged vstinner, 2019-06-06 08:22
PR 13863 merged miss-islington, 2019-06-06 12:26
PR 14444 merged vstinner, 2019-06-28 13:48
PR 14445 merged vstinner, 2019-06-28 13:51
PR 14523 merged miss-islington, 2019-07-01 17:14
PR 14528 merged miss-islington, 2019-07-01 17:53
Messages (44)
msg341167 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-30 22:38
I'm working on changes to complete the PEP 587, Python initiaization API.
msg341168 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-30 23:36
New changeset 463b82a3efe8a6a9f3924a5b37482e961dffe3b8 by Victor Stinner in branch 'master':
bpo-36763: Fix Py_SetStandardStreamEncoding() (GH-13028)
https://github.com/python/cpython/commit/463b82a3efe8a6a9f3924a5b37482e961dffe3b8
msg341172 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-01 00:30
New changeset 5f38b8407b071acd96da2c8cde411d0e26967735 by Victor Stinner in branch 'master':
bpo-36763: Add _PyCoreConfig_SetArgv() (GH-13030)
https://github.com/python/cpython/commit/5f38b8407b071acd96da2c8cde411d0e26967735
msg341177 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-01 03:35
New changeset db7197543112954b0912e3d46e39fefcb1c3b950 by Victor Stinner in branch 'master':
bpo-36763: Rework _PyInitError API (GH-13031)
https://github.com/python/cpython/commit/db7197543112954b0912e3d46e39fefcb1c3b950
msg341195 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-01 13:23
New changeset 1a9f0d8efded4bf37c864ed572beff28c43c7c77 by Victor Stinner in branch 'master':
bpo-36763: Add _PyCoreConfig_SetString() (GH-13035)
https://github.com/python/cpython/commit/1a9f0d8efded4bf37c864ed572beff28c43c7c77
msg341244 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-02 03:52
New changeset cb9fbd35885a8921b9df99e801df4f82e3ba336b by Victor Stinner in branch 'master':
bpo-36763: Make _PyCoreConfig.check_hash_pycs_mode public (GH-13052)
https://github.com/python/cpython/commit/cb9fbd35885a8921b9df99e801df4f82e3ba336b
msg341299 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-02 18:46
New changeset 373893ce51b0eaf0dec901e36a3e4217fbed3e32 by Victor Stinner in branch 'master':
bpo-36763: Add _PyCoreConfig._config_version (GH-13065)
https://github.com/python/cpython/commit/373893ce51b0eaf0dec901e36a3e4217fbed3e32
msg341307 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-02 19:25
New changeset 70005ac0fddd8585725b92acd1bc2b8e7b81999c by Victor Stinner in branch 'master':
bpo-36763: _PyCoreConfig_SetPyArgv() preinitializes Python (GH-13037)
https://github.com/python/cpython/commit/70005ac0fddd8585725b92acd1bc2b8e7b81999c
msg341311 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-02 19:30
New changeset 4631da1242fc96002a3c0462a87d087e567368aa by Victor Stinner in branch 'master':
bpo-36763: Remove _PyCoreConfig._init_main (GH-13066)
https://github.com/python/cpython/commit/4631da1242fc96002a3c0462a87d087e567368aa
msg341314 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-02 20:00
I updated my PEP 587:
[Python-Dev] RFC: PEP 587 "Python Initialization Configuration": 2nd version
https://mail.python.org/pipermail/python-dev/2019-May/157290.html
msg342508 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-14 20:02
New changeset 91c99873d115b9796377d5056785f2abc987520f by Victor Stinner in branch 'master':
bpo-36763: Add test for _PyCoreConfig_SetString() (GH-13275)
https://github.com/python/cpython/commit/91c99873d115b9796377d5056785f2abc987520f
msg342527 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-15 00:12
New changeset 5eb8b07f87c66a9ca54fcb90737753ce76a3054d by Victor Stinner in branch 'master':
bpo-36763: InitConfigTests tests all core config (GH-13331)
https://github.com/python/cpython/commit/5eb8b07f87c66a9ca54fcb90737753ce76a3054d
msg342647 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-16 14:39
New changeset dbacfc227381fbc7b3c886ea0bd7806ab3dc62c2 by Victor Stinner in branch 'master':
bpo-36763: _PyInitError always use int for exitcode (GH-13360)
https://github.com/python/cpython/commit/dbacfc227381fbc7b3c886ea0bd7806ab3dc62c2
msg342650 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-16 15:03
New changeset ae239f6b0626e926613a4a1dbafa323bd41fec32 by Victor Stinner in branch 'master':
bpo-36763: Add _PyCoreConfig.parse_argv (GH-13361)
https://github.com/python/cpython/commit/ae239f6b0626e926613a4a1dbafa323bd41fec32
msg342654 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-16 15:38
New changeset 9ef5dcaa0b3c7c7ba28dbb3ec0c9507d9d05e3a9 by Victor Stinner in branch 'master':
bpo-36763: Add _Py_InitializeMain() (GH-13362)
https://github.com/python/cpython/commit/9ef5dcaa0b3c7c7ba28dbb3ec0c9507d9d05e3a9
msg342659 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-16 16:30
New changeset 54b43bb3bb88339b63182b3515cda3efa530ed62 by Victor Stinner in branch 'master':
bpo-36763: Add _PyCoreConfig.configure_c_stdio (GH-13363)
https://github.com/python/cpython/commit/54b43bb3bb88339b63182b3515cda3efa530ed62
msg342682 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-17 01:15
New changeset 870b035bc6da96689b59dd6f79782ec6f1873617 by Victor Stinner in branch 'master':
bpo-36763: Cleanup precmdline in _PyCoreConfig_Read() (GH-13371)
https://github.com/python/cpython/commit/870b035bc6da96689b59dd6f79782ec6f1873617
msg342697 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-17 09:12
New changeset fed02e15b39b6f1521ea21654be5fc0757a8720a by Victor Stinner in branch 'master':
bpo-36763: Remove _PyCoreConfig.program (GH-13373)
https://github.com/python/cpython/commit/fed02e15b39b6f1521ea21654be5fc0757a8720a
msg342718 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-17 13:21
New changeset b16b4e45923f4e4dfd8e970ae4e6a934faf73b79 by Victor Stinner in branch 'master':
bpo-36763: Add PyMemAllocatorName (GH-13387)
https://github.com/python/cpython/commit/b16b4e45923f4e4dfd8e970ae4e6a934faf73b79
msg342738 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-17 17:01
New changeset cab5d0741ee6adf2ae9ff5aaafe06b75b4b5bca3 by Victor Stinner in branch 'master':
bpo-36763: Add _PyCoreConfig_InitPythonConfig() (GH-13388)
https://github.com/python/cpython/commit/cab5d0741ee6adf2ae9ff5aaafe06b75b4b5bca3
msg342766 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-17 21:05
New changeset 12083284c54be25abadd85781d36b63731dc1f0c by Victor Stinner in branch 'master':
bpo-36763: _Py_RunMain() doesn't call Py_Exit() anymore (GH-13390)
https://github.com/python/cpython/commit/12083284c54be25abadd85781d36b63731dc1f0c
msg342770 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-17 21:54
New changeset 871ff77c1cd334a141d52b0d003c080a1928731e by Victor Stinner in branch 'master':
bpo-36763: Add _PyInitError functions (GH-13395)
https://github.com/python/cpython/commit/871ff77c1cd334a141d52b0d003c080a1928731e
msg342773 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-17 22:38
New changeset b594784272d4907b1c40d3c40d17cb081aa9cf9b by Victor Stinner in branch 'master':
bpo-36763: _Py_InitializeFromArgs() argc becomes Py_ssize_t (GH-13396)
https://github.com/python/cpython/commit/b594784272d4907b1c40d3c40d17cb081aa9cf9b
msg342782 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-18 01:21
New changeset bab0db6076900cd828588be8595b3cdfade7e7e9 by Victor Stinner in branch 'master':
bpo-36763: Use _PyCoreConfig_InitPythonConfig() (GH-13398)
https://github.com/python/cpython/commit/bab0db6076900cd828588be8595b3cdfade7e7e9
msg342784 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-18 02:17
New changeset 410759fba80aded5247b693c60745aa16906f3bb by Victor Stinner in branch 'master':
bpo-36763: Remove _PyCoreConfig.dll_path (GH-13402)
https://github.com/python/cpython/commit/410759fba80aded5247b693c60745aa16906f3bb
msg342899 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-20 09:02
New changeset 6d1c46746e17367caf8a24623cb5c9a9c4e3e036 by Victor Stinner in branch 'master':
bpo-36763: Fix Python preinitialization (GH-13432)
https://github.com/python/cpython/commit/6d1c46746e17367caf8a24623cb5c9a9c4e3e036
msg342907 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-20 14:38
New changeset 425717fee1c72df464c9f85b9a8d32b9197d1035 by Victor Stinner in branch 'master':
bpo-36763: Fix encoding/locale tests in test_embed (GH-13443)
https://github.com/python/cpython/commit/425717fee1c72df464c9f85b9a8d32b9197d1035
msg342912 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-20 15:16
New changeset 0f72147ce2b3d65235b41eddc6a57be40237b5c7 by Victor Stinner in branch 'master':
bpo-36763: Fix _PyRuntime.preconfig.coerce_c_locale (GH-13444)
https://github.com/python/cpython/commit/0f72147ce2b3d65235b41eddc6a57be40237b5c7
msg343248 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-22 21:59
New changeset 022be02dcfdfd9011415804bb4553a33fa7ec8f3 by Victor Stinner in branch 'master':
bpo-36763: Add _PyPreConfig._config_init (GH-13481)
https://github.com/python/cpython/commit/022be02dcfdfd9011415804bb4553a33fa7ec8f3
msg343254 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-22 22:58
New changeset 5edcf263581c70f6a6c2206db679e51e9418bb38 by Victor Stinner in branch 'master':
bpo-36763: Rename private Python initialization functions (GH-13511)
https://github.com/python/cpython/commit/5edcf263581c70f6a6c2206db679e51e9418bb38
msg343273 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-23 02:12
New changeset 20e1e2582e5e69e43af88ff58699c8883d146acb by Victor Stinner in branch 'master':
bpo-36763: Fix _PyPreConfig_InitCompatConfig() utf8_mode (GH-13518)
https://github.com/python/cpython/commit/20e1e2582e5e69e43af88ff58699c8883d146acb
msg343631 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-27 14:39
New changeset 331a6a56e9a9c72f3e4605987fabdaec72677702 by Victor Stinner in branch 'master':
bpo-36763: Implement the PEP 587 (GH-13592)
https://github.com/python/cpython/commit/331a6a56e9a9c72f3e4605987fabdaec72677702
msg343648 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-27 15:37
I closed the following issues which are fixed by the implementation of the PEP 587:

* bpo-1195571
* bpo-11320
* bpo-13533
* bpo-14956
* bpo-19983
* bpo-29778
* bpo-30560
* bpo-31745
* bpo-33135
* bpo-34725
* bpo-36204

Copy of my message in bpo-19983: "This issue has been fixed by the PEP 587 in bpo-36763: when Py_Initialize() fails, it no longer calls abort() but only exit(1)."

I should maybe document this change somewhere.

In bpo-19983, I proposed a patch (init_error.patch) which changed the error message on initiallization error: "Python initialization error: %s\n" rather than "Fatal Python Error: xxx\n".

Maybe we can change that?

--

I close to leave bpo-22213 open.

bpo-32573 (missing sys.argv) is already fixed in the master branch, but I have been asked to also fix the issue in Python 3.7, so I wrote PR 13553.
msg343649 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-27 15:37
TODO: I didn't implement PyWideStringList_Insert() yet.
msg344808 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-06 12:25
New changeset 013a18a65167725f140c0395211050ae03501b12 by Victor Stinner in branch 'master':
bpo-36763, _testembed: enable assert() in release mode (GH-13857)
https://github.com/python/cpython/commit/013a18a65167725f140c0395211050ae03501b12
msg344810 - (view) Author: miss-islington (miss-islington) Date: 2019-06-06 12:43
New changeset 406284173a43f5c34643133e2f132ae15a071a23 by Miss Islington (bot) in branch '3.8':
bpo-36763, _testembed: enable assert() in release mode (GH-13857)
https://github.com/python/cpython/commit/406284173a43f5c34643133e2f132ae15a071a23
msg345527 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-13 16:24
Two interesting TODO.

sysmodule.c: get_xoptions()

        /* PEP432 TODO: we can reach this if xoptions is NULL in the main
        *  interpreter config. When that happens, we need to properly set
         * the `xoptions` reference in the main interpreter config as well.
         *
         * For Python 3.7, we shouldn't be able to get here due to the
         * combination of how _PyMainInterpreter_ReadConfig and _PySys_EndInit
         * work, but we expect 3.8+ to make the _PyMainInterpreter_ReadConfig
         * call optional for embedding applications, thus making this
         * reachable again.
         */

sysmodule.c: get_warnoptions()

        /* PEP432 TODO: we can reach this if warnoptions is NULL in the main
        *  interpreter config. When that happens, we need to properly set
         * the `warnoptions` reference in the main interpreter config as well.
         *
         * For Python 3.7, we shouldn't be able to get here due to the
         * combination of how _PyMainInterpreter_ReadConfig and _PySys_EndInit
         * work, but we expect 3.8+ to make the _PyMainInterpreter_ReadConfig
         * call optional for embedding applications, thus making this
         * reachable again.
         */
msg345528 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-13 16:33
_PySys_ReadPreInitOptions() code should be moved somewhere closer to PyConfig_Read().
msg347047 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-07-01 17:13
New changeset 36242fd871d0f0977e720d4fae5700774bd8c09a by Victor Stinner in branch 'master':
bpo-36763: Add PyConfig_SetWideStringList() (GH-14444)
https://github.com/python/cpython/commit/36242fd871d0f0977e720d4fae5700774bd8c09a
msg347049 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-07-01 17:39
About the documentation: https://docs.python.org/dev/c-api/init.html doesn't link to http://docs.python.org/dev/c-api/init_config.html

The first doc should mention somewhere the new doc.
msg347050 - (view) Author: miss-islington (miss-islington) Date: 2019-07-01 17:40
New changeset 96f581cf9d2f1d7888d2fd9bb89f19f10c0477bf by Miss Islington (bot) in branch '3.8':
bpo-36763: Add PyConfig_SetWideStringList() (GH-14444)
https://github.com/python/cpython/commit/96f581cf9d2f1d7888d2fd9bb89f19f10c0477bf
msg347051 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-07-01 17:41
Another minor implementation issue: calling _PyCoreConfig_Read() twice calls _Py_SetArgcArgv() twice, the second call override the first _Py_SetArgcArgv() call. IMHO it should only be called once, at the first _PyCoreConfig_Read() call.
msg347053 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-07-01 17:52
New changeset 67310023f299b5a2fad71fca449b46d280036690 by Victor Stinner in branch 'master':
bpo-36763: Use PyConfig_Clear() (GH-14445)
https://github.com/python/cpython/commit/67310023f299b5a2fad71fca449b46d280036690
msg347058 - (view) Author: miss-islington (miss-islington) Date: 2019-07-01 18:28
New changeset 4c227e6a56a9704fe5b4e4509071796f3359f4bb by Miss Islington (bot) in branch '3.8':
bpo-36763: Use PyConfig_Clear() (GH-14445)
https://github.com/python/cpython/commit/4c227e6a56a9704fe5b4e4509071796f3359f4bb
History
Date User Action Args
2019-07-01 18:28:58miss-islingtonsetmessages: + msg347058
2019-07-01 17:53:07miss-islingtonsetpull_requests: + pull_request14341
2019-07-01 17:52:51vstinnersetmessages: + msg347053
2019-07-01 17:41:08vstinnersetmessages: + msg347051
2019-07-01 17:40:02miss-islingtonsetmessages: + msg347050
2019-07-01 17:39:46vstinnersetmessages: + msg347049
2019-07-01 17:14:15miss-islingtonsetpull_requests: + pull_request14336
2019-07-01 17:13:54vstinnersetmessages: + msg347047
2019-06-28 13:51:28vstinnersetpull_requests: + pull_request14261
2019-06-28 13:48:34vstinnersetpull_requests: + pull_request14260
2019-06-13 16:33:16vstinnersetmessages: + msg345528
2019-06-13 16:24:37vstinnersetmessages: + msg345527
2019-06-06 12:43:02miss-islingtonsetnosy: + miss-islington
messages: + msg344810
2019-06-06 12:26:12miss-islingtonsetpull_requests: + pull_request13739
2019-06-06 12:25:35vstinnersetmessages: + msg344808
2019-06-06 08:22:19vstinnersetpull_requests: + pull_request13732
2019-05-27 15:37:33vstinnersetmessages: + msg343649
2019-05-27 15:37:18vstinnersetmessages: + msg343648
2019-05-27 14:39:28vstinnersetmessages: + msg343631
2019-05-27 13:51:17vstinnersetpull_requests: + pull_request13499
2019-05-23 02:12:30vstinnersetmessages: + msg343273
2019-05-23 01:25:10vstinnersetpull_requests: + pull_request13435
2019-05-22 22:58:00vstinnersetmessages: + msg343254
2019-05-22 22:02:17vstinnersetpull_requests: + pull_request13427
2019-05-22 21:59:02vstinnersetmessages: + msg343248
2019-05-22 00:52:21vstinnersetpull_requests: + pull_request13392
2019-05-20 15:16:54vstinnersetmessages: + msg342912
2019-05-20 14:45:31vstinnersettitle: PEP 587: Rework initialization API to prepare second version of the PEP -> Implementation of the PEP 587
2019-05-20 14:41:12vstinnersetpull_requests: + pull_request13352
2019-05-20 14:38:53vstinnersetmessages: + msg342907
2019-05-20 14:18:48vstinnersetpull_requests: + pull_request13351
2019-05-20 09:02:12vstinnersetmessages: + msg342899
2019-05-20 00:21:50vstinnersetpull_requests: + pull_request13342
2019-05-18 02:17:05vstinnersetmessages: + msg342784
2019-05-18 01:45:54vstinnersetpull_requests: + pull_request13313
2019-05-18 01:21:31vstinnersetmessages: + msg342782
2019-05-17 23:25:46vstinnersetpull_requests: + pull_request13308
2019-05-17 22:38:19vstinnersetmessages: + msg342773
2019-05-17 22:00:35vstinnersetpull_requests: + pull_request13306
2019-05-17 21:54:06vstinnersetmessages: + msg342770
2019-05-17 21:05:35vstinnersetmessages: + msg342766
2019-05-17 20:56:00vstinnersetpull_requests: + pull_request13305
2019-05-17 17:27:14vstinnersetpull_requests: + pull_request13298
2019-05-17 17:01:22vstinnersetmessages: + msg342738
2019-05-17 14:16:24vstinnersetpull_requests: + pull_request13296
2019-05-17 13:21:07vstinnersetmessages: + msg342718
2019-05-17 12:30:46vstinnersetpull_requests: + pull_request13295
2019-05-17 09:12:15vstinnersetmessages: + msg342697
2019-05-17 01:17:32vstinnersetpull_requests: + pull_request13284
2019-05-17 01:15:17vstinnersetmessages: + msg342682
2019-05-17 00:22:39vstinnersetpull_requests: + pull_request13282
2019-05-16 16:30:28vstinnersetmessages: + msg342659
2019-05-16 15:43:38vstinnersetpull_requests: + pull_request13272
2019-05-16 15:38:23vstinnersetmessages: + msg342654
2019-05-16 15:17:52vstinnersetpull_requests: + pull_request13271
2019-05-16 15:03:09vstinnersetmessages: + msg342650
2019-05-16 14:42:58vstinnersetpull_requests: + pull_request13270
2019-05-16 14:39:42vstinnersetmessages: + msg342647
2019-05-16 14:08:25vstinnersetpull_requests: + pull_request13269
2019-05-15 00:13:00vstinnersetmessages: + msg342527
2019-05-14 22:56:57vstinnersetpull_requests: + pull_request13243
2019-05-14 20:02:04vstinnersetmessages: + msg342508
2019-05-13 10:40:35vstinnersetpull_requests: + pull_request13180
2019-05-02 20:00:51vstinnersetmessages: + msg341314
2019-05-02 19:30:24vstinnersetmessages: + msg341311
2019-05-02 19:25:38vstinnersetmessages: + msg341307
2019-05-02 18:46:32vstinnersetmessages: + msg341299
2019-05-02 18:44:43vstinnersetpull_requests: + pull_request12983
2019-05-02 18:25:11vstinnersetpull_requests: + pull_request12982
2019-05-02 03:52:01vstinnersetmessages: + msg341244
2019-05-02 03:22:13vstinnersetpull_requests: + pull_request12970
2019-05-01 13:23:02vstinnersetmessages: + msg341195
2019-05-01 13:15:53vstinnersetpull_requests: + pull_request12957
2019-05-01 12:13:50vstinnersetpull_requests: + pull_request12955
2019-05-01 03:35:38vstinnersetmessages: + msg341177
2019-05-01 00:34:33vstinnersetpull_requests: + pull_request12952
2019-05-01 00:30:15vstinnersetmessages: + msg341172
2019-04-30 23:40:48vstinnersetpull_requests: + pull_request12951
2019-04-30 23:36:17vstinnersetmessages: + msg341168
2019-04-30 22:42:52vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request12950
2019-04-30 22:38:59vstinnercreate